=== cardmgr/Makefile ===
#
# cardmgr/Makefile 1.46 1996/07/19 05:36:54 (David Hinds)
#

# Include site dependent options
include ../config.mk

ifndef CFLAGS
CFLAGS = -O -Wall -Wstrict-prototypes -pipe
XFLAGS = -O -pipe
endif
CPPFLAGS = -I../modules -I$(LINUX)/include

COFLAGS = -kv
YFLAGS = -d

SRCS = cardmgr.c cardctl.c yacc_config.c lex_config.c probe.c
HDRS = cardmgr.h
TOOLS = cardmgr cardctl

ifdef CONFIG_INET
SRCS := ${SRCS} ifport.c waveinfo.c
TOOLS := ${TOOLS} ifport waveinfo
endif

ifdef CONFIG_SCSI
SRCS := ${SRCS} scsi_info.c
TOOLS := ${TOOLS} scsi_info
endif

ifdef HAS_FORMS
SRCS := ${SRCS} cardinfo.c
EXTRA := ${EXTRA} cardinfo
endif

all:	$(SRCS) $(HDRS) $(TOOLS) $(EXTRA) probe

dep:	$(SRCS) $(HDRS)
	$(CPP) -M $(CPPFLAGS) $(SRCS) > .depend

clean:
	rm -f core core.* *.o *.a tmp_make *~
	for i in *.c;do rm -f `basename $$i .c`.s;done
	rm -f $(TOOLS) probe

cardmgr: cardmgr.o yacc_config.o lex_config.o

cardmgr.o: cardmgr.c

yacc_config.o: yacc_config.c
	$(CC) $(XFLAGS) $(CPPFLAGS) -c yacc_config.c

lex_config.o: lex_config.c
	$(CC) $(XFLAGS) $(CPPFLAGS) -c lex_config.c

parser: lex_config.o yacc_config.c
	$(CC) $(XFLAGS) $(CPPFLAGS) -DDEBUG -o parser yacc_config.c lex_config.o

cardinfo: cardinfo.o
	$(CC) $(LFLAGS) -o cardinfo cardinfo.o -L/usr/X11/lib \
		-lforms -lX11 -lXpm -lm

install: $(TOOLS) $(EXTRA) probe
	mkdir -p $(PREFIX)/sbin
	cp -f $(TOOLS) $(PREFIX)/sbin
	chmod u+s $(PREFIX)/sbin/cardctl
	if [ "$(PREFIX)" != "" ] ; then			\
	    cp -f probe $(PREFIX)/sbin ;		\
	fi
	if [ -r cardinfo ] ; then			\
	    mkdir -p $(PREFIX)/usr/bin/X11 ;		\
	    cp -f cardinfo $(PREFIX)/usr/bin/X11 ;	\
	    chmod u+s $(PREFIX)/usr/bin/X11/cardinfo ;	\
	fi

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif
