## pcmcia-cs 0

=== debian/changelog ===
pcmcia-cs (1:0) unstable; urgency=low

  * Made the whole package a transitional dummy package.
  * Removed pcmcia-cs-udeb.
  * Added code to postinst to remove old conffiles.
  * Remove /etc/default/pcmcia and debconf data when purging.

 -- Per Olofsson <pelle@debian.org>  Wed, 20 Jun 2007 14:02:48 +0100

pcmcia-cs (3.2.8-9) unstable; urgency=low

  * Removed pcmcia-source binary package. Closes: #394018.
    - Consequently remove all pcmcia-modules related stuff.
  * Removed pnpbios-utils binary package.
  * Cleanup debian/rules.
  * Update standards-version to 3.7.2.
  * Add empty Require-{Start,Stop} fields to LSB info field in the init
    script.
  * Update LSB description in init script.

 -- Per Olofsson <pelle@debian.org>  Sun, 22 Oct 2006 19:21:46 +0200

pcmcia-cs (3.2.8-8) unstable; urgency=low

  * Put non-i386 config.opts in the right place in the udeb in
    debian/rules. Fixes build error.

 -- Per Olofsson <pelle@debian.org>  Sat, 25 Feb 2006 15:57:06 +0100

pcmcia-cs (3.2.8-7) unstable; urgency=low

  * Don't even bother with debconf and starting pcmcia-cs in
    pcmcia-modules-*.
  * Made pcmcia-source depend on dpatch.
  * Don't copy the init script to the udeb if building kernel modules.
  * Added config entry for Zonet zcf-1400. Thanks to Magnus Lundstedt.
    Closes: #351725.
  * Rip out config.opts from everywhere except the udeb. Let pcmciautils
    provide it instead.
  * Print less confusing error message when not starting because
    pcmciautils should be used. Also don't print it when run by init.
  * Added NEWS.Debian entry about the pcmciautils migration.
    Closes: #351671.

 -- Per Olofsson <pelle@debian.org>  Sat, 18 Feb 2006 23:31:08 +0100

pcmcia-cs (3.2.8-6) unstable; urgency=low

  * Acknowledging NMUs. Closes: #329099, #329100, #329101.
  * Closes: #321392: log_error_msg should be log_failure_msg in init
    script.
  * Don't complain about missing modules and don't fail if they cannot be
    loaded. cardmgr will tell us if something is wrong. Closes: #321467.
  * Remove failed_to_load function from init script.
  * Depend on pcmciautils. Needed for newer kernels. This will make
    upgrades smooth. Closes: #329329.
  * Recommend udev | hotplug.
  * Document allow-hotplug in README.Debian. Closes: #336909, #330794.
  * Set user write permission on all files when building to avoid problems
    on some file systems. Closes: #340034.
  * Add U.S. Robotics USR7901 ethernet card to config. Closes: #335069.
  * Use log_action_begin_msg and log_action_end_msg in the init script to
    get better and policy-conforming output.
  * Prefer dependency on module-init-tools instead of modutils.
  * Don't start pcmcia-cs if kernel version >= 2.6.13 and udev is
    enabled. Let pcmciautils handle these cases.
  * Updated description.

 -- Per Olofsson <pelle@debian.org>  Wed, 25 Jan 2006 20:39:47 +0100

pcmcia-cs (3.2.8-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove non-writeable $(UDEBDIR)/etc/init.d/pcmcia before trying to copy
    over it, fixing build failure on XFS filesystems.

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Oct 2005 18:41:11 +0100

pcmcia-cs (3.2.8-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Try to load pcmcia for >= 2.6.11 as well as ds (closes: #329099).
  * Install rewritten init script in pcmcia-cs-udeb too (closes: #329100).
  * Fix bashism in init script installer support path (closes: #329101).

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Oct 2005 20:12:00 +0100

pcmcia-cs (3.2.8-5) unstable; urgency=low

  * Don't try to load the ds module if it is compiled in
    statically. Closes: #321095.
  * Improved module loading code somewhat.
  * If $PCIC is not defined and PCMCIA sockets are not available, just
    output a simple message saying so and exit. Only on 2.6 kernels.
  * Put a /etc/default/pcmcia in the udeb which contains
    PCIC=i82365. Don't default to it anymore in the init script if PCIC is
    empty.

 -- Per Olofsson <pelle@debian.org>  Wed,  3 Aug 2005 18:17:32 +0200

pcmcia-cs (3.2.8-4) unstable; urgency=low

  * Also check for /dev/.udevdb when determining whether to create/remove
    device nodes or not. Closes: #317546.
  * Don't add the -q option to MODPROBE_OPTIONS. There's no point I think,
    just something I misunderstood about the Ubuntu patch.
  * Removed dependency on pnpbios-tools. Closes: #321081.
  * Don't build and install PnP BIOS tools if the pnpbios-tools package is
    not being built on this architecture.

 -- Per Olofsson <pelle@debian.org>  Wed,  3 Aug 2005 09:52:10 +0200

pcmcia-cs (3.2.8-3) unstable; urgency=low

  * Added config entries for the atmel_cs cards SMC 2632W-V2 and
    3CRSHPW_96. Thanks to Ubuntu.
  * Don't try to create device nodes on udev systems. Don't try to remove
    them either (the same on devfs systems). Thanks to Ubuntu.
    Closes: #317546.
  * Split out lspnp and setpnp to their own package,
    pnpbios-tools. Closes: #307224.
  * Use the -s option with debhelper instead of -a.
  * Always try to remove all modules when stopping PCMCIA, even if ds is
    not loaded. Thanks to Stephen Gildea. Closes: #319485.
  * Added some PNP IDs from Ryan Underwood. Closes: #305404.
  * Build a smaller cardmgr for the udeb, using -Os and
    -fomit-frame-pointer. Closes: #314377.
  * Rewrote the init script, including modifications from Ubuntu. Made it
    LSB-compliant (or at least I think so). Placed it in debian/ instead
    of patching the upstream one.
  * Added config entries for atmel_cs cards. Thanks to Ubuntu.
  * Updated Standards-Version to 3.6.2.0.
  * Made pcmcia-source recommend libc6-dev | libc-dev.
  * Fixed wrong sections in manpages.
  * Made cardmgr not log to the console. This prevents it from spewing out
    a lot of messages early in the boot process, when syslog is not
    available.
  * Updated debconf template translations:
    - Bosnian (bs.po) by Safir Secerovic. Closes: #302757.

