=== debian/control ===
Source: pcmcia-cs
Section: base
Priority: extra
Maintainer: Per Olofsson <pelle@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: pcmcia-cs
Architecture: all
Depends: pcmciautils
Description: transitional package
 This is a transitional package which depends on pcmciautils. It only
 exists to make upgrades easier. It can be safely removed.
